# 📘 Urecsys EDA Tool

Welcome to the Urecsys Exploratory Data Analysis (EDA) tools. This toolkit provides various features for analyzing and visualizing your datasets.

## Overview

EDA is a crucial step in the data analysis process that helps you:
- Summarize main characteristics of datasets
- Detect anomalies
- Uncover patterns
- Visualize data relationships
## Getting Started

1. Set up a virtual environment:
```bash
python -m venv .venv
source .venv/bin/activate  
```
> **Tip**: You can also create a virtual environment in VS Code by pressing `Ctrl+Shift+P` (`⌘ + Shift + P` on macOS), typing `Python: Create Environment`, and following the prompts.


2. Install dependencies using Poetry:
```bash
poetry install
```

3. Launch the EDA tool:
```bash
streamlit run 0_📘_EDA.py
```
> **Tip**: You can type `streamlit run 0` and press Tab for auto-completion

4. Once launched, navigate to 🏠Overview in the sidebar

5. Upload your pickle file to begin analysis


## Development

### Adding New EDA Features

New EDA tools should be added under the `eda/pages` directory following this naming convention:

```
<number>_<emoji>_<title>.py
```

Example: `1_📊_overview.py`

This naming pattern ensures proper ordering and visual organization in the Streamlit sidebar.

To create a new EDA page, you can start by copying the `101_📝_Template.py` file. This template provides a basic structure for your new page.

Replace `<number>`, `<emoji>`, and `<title>` with appropriate values for your new page. This will help maintain consistency and organization within the project.
